; -----------------------------------------------------------------------------
;	SCA public definition
; -----------------------------------------------------------------------------

; -----------------------------------------------------------------------------
SCA_INFO_SIZE					= 8
SCA_INFO_XL						= 0
SCA_INFO_XH						= 1
SCA_INFO_YL						= 2
SCA_INFO_YH						= 3
SCA_INFO_PLAYER_MOVE_VEC_TBL_L	= 4
SCA_INFO_PLAYER_MOVE_VEC_TBL_H	= 5
SCA_INFO_PLAYER_SHOT_POWER		= 6
SCA_INFO_SHOT_POWER				= 4
SCA_INFO_ENEMY_POWER			= 4
SCA_INFO_ENEMY1_STATE_L			= 5
SCA_INFO_ENEMY1_STATE_H			= 6
SCA_INFO_ENEMY1_REVERSE			= 0
SCA_INFO_ENEMY2_STATE_L			= 5
SCA_INFO_ENEMY2_STATE_H			= 6
SCA_INFO_ENEMY2_REVERSE			= 0
SCA_INFO_ESHOT_X_SIG			= 0
SCA_INFO_ESHOT_Y_SIG			= 2
SCA_INFO_ESHOT_DEN_IS_DX		= 4
SCA_INFO_ESHOT_DEN				= 5
SCA_INFO_ESHOT_NUM				= 6
SCA_INFO_ESHOT_CNT				= 7
SCA_INFO_ENEMY_MOVE_L			= 14
SCA_INFO_ENEMY_MOVE_H			= 15

SCA_INFO_XL2					= 0 + SCA_INFO_SIZE
SCA_INFO_XH2					= 1 + SCA_INFO_SIZE
SCA_INFO_YL2					= 2 + SCA_INFO_SIZE
SCA_INFO_YH2					= 3 + SCA_INFO_SIZE

; -----------------------------------------------------------------------------
;	BIOS entry
; -----------------------------------------------------------------------------
SETWRT							= 0x0053
FILVRM							= 0x0056
LDIRVM							= 0x005C
CHGMOD							= 0x005F
GTSTCK							= 0x00D5
GTTRIG							= 0x00D8

; -----------------------------------------------------------------------------
;	BIOS workarea
; -----------------------------------------------------------------------------
RG1SAV							= 0xF3E0
FORCLR							= 0xF3E9
BAKCLR							= 0xF3EA
BDRCLR							= 0xF3EB

; -----------------------------------------------------------------------------
;	I/O port
; -----------------------------------------------------------------------------
VDP_VRAM_IO						= 0x98

; -----------------------------------------------------------------------------
;	VRAM map (SCREEN4)
; -----------------------------------------------------------------------------
PATTERN_GENERATOR1				= 0x0000
PATTERN_GENERATOR2				= 0x0800
PATTERN_GENERATOR3				= 0x1000
PATTERN_NAME1					= 0x1800
PATTERN_NAME2					= 0x1900
PATTERN_NAME3					= 0x1A00
SPRITE_COLOR					= 0x1C00
SPRITE_ATTRIBUTE				= 0x1E00
COLOR_TABLE1					= 0x2000
COLOR_TABLE2					= 0x2800
COLOR_TABLE3					= 0x3000
SPRITE_GENERATOR				= 0x3800
